Subject: Re: bug#58175: 29.0.50; M-x window-swap-states during an active mark leaves behind a region overlay

From: martin rudalics <[email-masked]>
Date: Fri, 7 Oct 2022 10:09:11 +0200

> Both results in this scenario are wrong, IMO, so I don't see why we'd
 > prefer one of them.

The one with the persistent overlay leaves behind an overlay in the
lower window that is not removed by the region highlighting code.  So
that gets us back another incarnation of the original bug.

 > I also don't understand how this scenario could
 > happen in real life, FWIW.

Given the plethora of 'set-window-configuration' and
'save-window-excursion' calls in the Emacs code base (some of them with
separate position handling instructions), I'm quite confident that it
eventually will happen.

martin